package sync_request

import (
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
)

type SyncResultRequest struct {
	// 【是否查询员工同步详情】是否查询员工同步详情 【作用】 用于控制是否查询同步的员工的详细信息 【传参】 取值范围：true（查询），false （不查询）；不传值默认为：false （不查询）。
	Detail string `json:"detail,omitempty"`
	// 【同步批次号】同步批次号
	BatchId string `json:"batchId,omitempty"`
}

func (obj SyncResultRequest) GetUrl() string {
	return "/sync/result"
}

func (obj SyncResultRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewGetHttpParameter()
	parameter.AddParam("detail", obj.Detail)
	parameter.AddParam("batchId", obj.BatchId)
	return parameter
}
